### Method

# Vips Image deviate

#### Declaration [src]

    int
    vips_deviate (
      VipsImage* in,
      double* out,
      ...
    )

#### Description [src]

This operation finds the standard deviation of all pixels in `in`. It operates on all bands of the input image: use `vips_stats()` if you need to calculate an average for each band.

Non-complex images only.

See also

`vips_avg()`, `vips_stats()`..

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `double*`

  Output pixel standard deviation.

  The argument will be set by the function.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.